#!/usr/bin/env python

from cgi import parse_qs

from msb_web import *

def handler(req, xml, conf): 
	if (req.args == None):
		raise RuntimeError("Bad query string")
	cgi = parse_qs(req.args, keep_blank_values = True, strict_parsing = True)

	account_id = int(cgi["aid"][0])

	xml.data("<msb:request>info</msb:request>\n")
	xml.data("<msb:title>MSB Web</msb:title>\n")

	msb = MSB(conf)
	stats = msb.get_account_stat(account_id)
	if stats == []:
		raise RuntimeError("No such account %d" % account_id)
	for stat in stats:
		xml.data(stat.xml())

	#xml.data("""<msb:line>IP detail</msb:line>\n""")

	xml.push("msb:stat", "type='ip'")
	for ipstat in msb.get_ip_stat(account_id):
		xml.data(ipstat.xml())
	xml.pop("msb:stat")

	db = MSBSQL(conf)
	curs = db.cursor()
	curs.execute("SELECT date,discount FROM msb_discount_log WHERE account_id = %d ORDER BY date DESC LIMIT 5" % account_id)
	xml.push("msb:stat", "type='discount'")
	for row in curs.fetchall():
		xml.data("""
		<msb:discount>
			<msb:date>%s</msb:date>
			<msb:balance>%s</msb:balance>
		</msb:discount>\n""" % (row[0], row[1]))
	xml.pop("msb:stat")
